mixin slider(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''

  .slider(class=spec.__class)&attributes(attributes)
    .slider__items(class=spec.class_item)
      each item in site.data.slider[spec.type]
        .slider__item(class="slider__item-" + spec.type)
          .slider__img.js-resize-img(class="slider__img-"+spec.type style="background-image: url(" + baseUrl + "img/" + item.image + ".jpg);")
          //- img(src=baseUrl + "img/" + item.image + ".jpg", alt="").slider__img(class="slider__img-"+spec.type )
          if (spec.type === 'team') 
            .slider__info
              .slider__name= item.full_name
              .slider__profession= item.profession
          else if (spec.type === 'reviews')
            .slider__text= item.text
    .slider__arrows(class="slider__arrows-" + spec.type )
      +icon({__class:'slider__arrow slider__prev slider__icon', icon:'arrow_prev'})(class="js-slider-prev-" + spec.type)
      +icon({__class:'slider__arrow slider__next slider__icon', icon:'arrow_next'})(class="js-slider-next-" + spec.type)
      
          
          
          